Move Items
curl --request POST \
--url https://api.aspect.inc/fs-items/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_directory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"directory_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"symlink_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"conflict_resolutions": {},
"client_performed_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.aspect.inc/fs-items/move"
payload = {
"destination_directory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"directory_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"symlink_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"conflict_resolutions": {},
"client_performed_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_directory_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
directory_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
symlink_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
conflict_resolutions: {},
client_performed_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.aspect.inc/fs-items/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"moved_asset_count": 123,
"moved_directory_count": 123,
"moved_symlink_count": 0,
"revision_results": [
{
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
JWT in Authorization header. 'Bearer ' prefix optional.
Body
API request schema for moving filesystem items to a new parent directory
ID of the destination parent directory
List of asset IDs to move
List of directory IDs to move
List of symlink IDs to move
Resolution strategies for name conflicts. Keys are string UUIDs of conflicting items. Each value specifies the resolution strategy and optional auto-rename style. If not provided and conflicts exist, returns 409 with conflict details.
Show child attributes
Show child attributes
When the client performed this action. Defaults to server time if not provided.
Response
Successful Response
API response schema for moving filesystem items
Number of assets successfully moved
Number of directories successfully moved
Number of symlinks successfully moved
Per-item revision info for each moved item
Show child attributes
Show child attributes

